summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2006-05-24 08:12:48 +0000
committerZac Medico <zmedico@gentoo.org>2006-05-24 08:12:48 +0000
commitd5c664d150b60960f248898b02ec6fd07be2beb4 (patch)
treeb19e071c6f12c675ac157c007ff5387edd61f4d8 /bin/ebuild.sh
parentFix repoman so that it works when the portage tree structure contains symlink... (diff)
downloadportage-multirepo-d5c664d150b60960f248898b02ec6fd07be2beb4.tar.gz
portage-multirepo-d5c664d150b60960f248898b02ec6fd07be2beb4.tar.bz2
portage-multirepo-d5c664d150b60960f248898b02ec6fd07be2beb4.zip
When /usr/lib/distcc/bin does not exist, only add a maximum of one distcc to CC and CXX for bug #84150.
svn path=/main/trunk/; revision=3408
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 31f32ed8..bfe9e072 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1348,8 +1348,12 @@ if [ "$*" != "depend" ] && [ "$*" != "clean" ] && [ "$*" != "setup" ]; then
export PATH="/usr/lib/distcc/bin:${PATH}"
[ ! -z "${DISTCC_LOG}" ] && addwrite "$(dirname ${DISTCC_LOG})"
elif which distcc &>/dev/null; then
- export CC="distcc $CC"
- export CXX="distcc $CXX"
+ if ! hasq distcc $CC; then
+ export CC="distcc $CC"
+ fi
+ if ! hasq distcc $CXX; then
+ export CXX="distcc $CXX"
+ fi
fi
fi